Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### degrees()

Examples

    float rad = PI/4;
    float deg = degrees(rad);
    println(rad + " radians is " + deg + " degrees");

Description | Converts a radian measurement to its corresponding value in degrees. Radians and degrees are two ways of measuring the same thing. There are 360 degrees in a circle and 2*PI radians in a circle. For example, 90° = PI/2 = 1.5707964. All trigonometric methods in Processing require their parameters to be specified in radians.

Syntax

    degrees(angle)

Parameters

angle | int or float

Returns | float
Usage | Web & Application
Related | radians()

Updated on November 22, 2008 08:39:25pm PST